Opened 2 years ago

Closed 2 years ago

#57158 closed defect (invalid)

py27-setuptools can't read "build.cmd"

Reported by: Tatsh (Andrew Udvare) Owned by:
Priority: Normal Milestone:
Component: ports Version: 2.5.99
Keywords: Cc: jmroot (Joshua Root)
Port:

Description

I am getting this error with many Python ports. This is with Xcode 10 and macOS 10.14 (which I have been running since the first beta).

--->  Building py27-setuptools
Error: Failed to build py27-setuptools: can't read "build.cmd": wrong # args: should be "set varName ?newValue?"

Attachments (1)

main.log.gz (1.9 KB) - added by Tatsh (Andrew Udvare) 2 years ago.

Download all attachments as: .zip

Change History (3)

Changed 2 years ago by Tatsh (Andrew Udvare)

Attachment: main.log.gz added

comment:1 Changed 2 years ago by jmroot (Joshua Root)

Cc: jmroot added
Version: 2.5.32.5.99

The log indicates you're not actually running 2.5.3, but some post-2.5 snapshot of master. Please either use the current release or keep up-to-date with master.

comment:2 Changed 2 years ago by ryandesign (Ryan Schmidt)

Resolution: invalid
Status: newclosed

Yes, this is undoubtedly because the user has a version of base 2.5.99 prior to [8434c0eee6ba2867c09524697d6f95f3a095ddf0/macports-base] but a version of the ports tree after [58369e469425fafca368aacb307b9234f6bc9022/macports-ports] which relies on those base changes.

Note: See TracTickets for help on using tickets.